/// <reference types="react" />
import type { StepResult, TestResultFile } from "@testim/screenplay";
import type { Har } from "har-format";
declare let apiUrl: string;
declare const MainStoreContext: import("react").Context<MainStore>;
export { apiUrl, MainStoreContext };
export declare function useMainStore(): MainStore;
declare type ScreenplayStepResult = StepResult;
interface ILoadTestResult {
    (): Promise<any>;
}
export declare class MainStore {
    private loadTestResultExternal;
    private externalResourceUrl;
    constructor(loadTestResultExternal: ILoadTestResult | null, externalResourceUrl: (resource: string | undefined) => undefined | string);
    get steps(): ScreenplayStepResult[];
    get resultsFile(): TestResultFile | undefined;
    get harFile(): Har | undefined;
    get testTotalTime(): number;
    private get resultsFileRequest();
    private get harFileRequest();
    private _selectedStepIndex;
    get selectedStepIndex(): number;
    get selectedStep(): StepResult | undefined;
    setSelectedStep(index: number): void;
    goToPreviousStep(): void;
    goToNextStep(): void;
    handleKeypress(keyCode: number): void;
}
